basePathForCommonIcons = 'images/common/'
grayColor = '#B5B2B5'
blueColor = '#3965A5'
contentBlueBgCol = '#637D9C'

DFrameAPI.preLoadImagesForButtonImage('wolf', ['./acrossTheRiver/', 'A'],'wolf.gif')
DFrameAPI.preLoadImagesForButtonImage('goat', ['./acrossTheRiver/', 'A'],'goat.gif')
DFrameAPI.preLoadImagesForButtonImage('cabbage', ['./acrossTheRiver/', 'A'],'cabbage.gif')
DFrameAPI.preLoadImagesForButtonImage('CloseDFrame', basePathForCommonIcons,'close-off.gif', 'close-on.gif', 'close-off.gif', 'close-on.gif')
//===============================================================================
//									ButtonStyle									|
//===============================================================================
var buttonStyle = new ButtonStyle ()
buttonStyle.setBordersColor ('#5A8CC2')
buttonStyle.setWidth (80)
buttonStyle.setHeight (22)
buttonStyle.setActivateOn ('UP');//OK

buttonStyle.setTextNormal ('#AFCDEF')
buttonStyle.setBgNormal (contentBlueBgCol)
buttonStyle.setBordersNormal (true)

buttonStyle.copyStyle('Normal', 'Roll')
buttonStyle.setTextRoll ('#ffffff')
buttonStyle.setBgRoll ('#000084')

buttonStyle.copyStyle('Roll', 'Down')

buttonStyle.copyStyle('Roll', 'Selected')

buttonStyle.copyStyle('Roll', 'RollSelected')

//===============================================================================
//									barStyle									|
//===============================================================================
var barStyle = new BarStyle ()
barStyle.setPos('TOP')
barStyle.setBordersColor('#31309C')
barStyle.setBackgroundColor(blueColor)
barStyle.setHeight(32)
barStyle.setBordersWidth(0)
//-------------------------------------------------------
//							defaultButtonStyle			!
//-------------------------------------------------------
barStyle.setDefaultButtonStyle(buttonStyle)
//===============================================================================
//									dFrameStyle									|
//===============================================================================
var dFrameStyle = new DFrameStyle ()
dFrameStyle.setPos ([0,0,100,100])

dFrameStyle.setBackgroundColor (blueColor)
dFrameStyle.setContentBgColor (contentBlueBgCol)

dFrameStyle.setBordersWidth(0)
dFrameStyle.setTitleBar(true)
//-------------------------------------------------------
//							defaultBarStyle				!
//-------------------------------------------------------
dFrameStyle.setDefaultBarStyle(barStyle)
//-------------------------------------------------------
//							buttonStyleForText			!
//-------------------------------------------------------
buttonStyleForText = new ButtonStyle(buttonStyle)
buttonStyleForText.setBordersWidth(0)
buttonStyleForText.setBgNormal('')
//-------------------------------------------------------
//							defaultTitleBarStyle		!
//-------------------------------------------------------
var x = new BarStyle(barStyle)
x.setBackgroundColor(grayColor)
x.setBordersWidth(0)
x.setBordersHMargin(1)
x.setBordersVMargin(1)
x.setHeight(1)
x.setButtonImage('CloseDFrame', 'thisDFrame.closeFrame()')

var y = x.getDefaultButtonStyle()
y.setHeight(0)
y.setBordersWidth(0)
y.setLabelTopMargin(1)
y.setLabelBottomMargin(1)
y.setBgNormal(null)
y.setTextNormal('white')
y.setBosNormal(true)

dFrameStyle.setDefaultTitleBarStyle(x)